#ifndef NETWORKCOST_H_
#define NETWORKCOST_H_

#include "networks/wiredbas/WiredBasPlatformInstance.h"
#include "networks/wiredbas/WiredBasImplementation.h"
#include "float.h"

namespace cosi
{

namespace models
{

namespace wiredbas
{

class NetworkCost
{
public:
	NetworkCost();
	virtual ~NetworkCost();

	virtual double GetValue(cosi::commstruct::wiredbas::PlatformInstance pC) = 0;

	virtual double GetValue(cosi::commstruct::wiredbas::PlatformInstance* pC)= 0;

	virtual double GetValue(cosi::commstruct::wiredbas::Implementation pC)= 0;

	virtual double GetValue(cosi::commstruct::wiredbas::Implementation* pC)= 0;

};

}

}

}

#endif /*NETWORKCOST_H_*/
